<template>
  <div class="profile-signature">
    <img :src="image" alt="Profile picture" class="profile-signature__image" />
    <div class="profile-signature__text">
      <h3 class="profile-signature__name">{{ name }}</h3>
      <h4 class="profile-signature__date">{{ date }}</h4>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component
export default class ProfileSignature extends Vue {
  @Prop({ required: true }) image: string;
  @Prop({ required: true }) name: string;
  @Prop({ required: true }) date: string;
}
</script>

<style lang="scss" scoped>
.profile-signature {
  display: flex;
  gap: 20px;

  &__text {
    display: flex;
    flex-direction: column;
    gap: 6px;
    justify-content: center;
  }

  &__image {
    display: block;
    width: 60px;
    height: 60px;
    object-fit: cover;
    border-radius: 50%;
  }

  &__name {
    font-size: 18px;
    line-height: 1.22;
    color: $blue-gray;
  }

  &__date {
    font-weight: 400;
    font-size: 14px;
    text-transform: capitalize;
    line-height: 1.21;
    color: $light-blue;
  }
}
</style>
